HomePhabricator
Diffusion Mesa 2eb3f794d90a

st/mesa: only define GLSL 1.4 for compat if driver supports it

Authored by Christian Gmeiner <christian.gmeiner@gmail.com> on May 16 2018, 4:02 PM.

Description

st/mesa: only define GLSL 1.4 for compat if driver supports it

Currently GLSL 1.4 is defined for all gallium drivers even only
GLSL 1.2 is supported as seen on etnaviv.

v1 -> v2:

  • use _min(..) as suggested by Lucas Stach and Michel Dänzer

Fixes: 4560aad780b ("mesa: add GLSLVersionCompat constant")
Signed-off-by: Christian Gmeiner <christian.gmeiner@gmail.com>
Reviewed-by: Lucas Stach <l.stach@pengutronix.de>
Reviewed-by: Timothy Arceri <tarceri@itsqueeze.com>

Details

Committed
Christian Gmeiner <christian.gmeiner@gmail.com>May 18 2018, 10:46 AM
Pushed
pmoreauMay 22 2018, 7:03 PM
Parents
rMESA48e28ab961f5: vbo: remove MaxVertexAttribStride assert check.
Branches
Unknown
Tags
Unknown

Event Timeline

Christian Gmeiner <christian.gmeiner@gmail.com> committed rMESA2eb3f794d90a: st/mesa: only define GLSL 1.4 for compat if driver supports it (authored by Christian Gmeiner <christian.gmeiner@gmail.com>).May 18 2018, 10:46 AM